<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="handler"
            type="com.doverfuelingsolutions.issp.view.fragment.FragmentReconnect" />
    </data>

    <LinearLayout
        style="@style/match"
        android:gravity="center"
        android:orientation="vertical">

        <ImageView
            android:layout_width="400dp"
            android:layout_height="400dp"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_network_error" />

        <Button
            android:id="@+id/buttonReconnect"
            style="@style/Widget.MaterialComponents.Button"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="120dp"
            android:onClick="@{handler}"
            android:text="@string/reconnect" />

        <Button
            android:id="@+id/buttonPreference"
            style="@style/Widget.MaterialComponents.Button.TextButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:onClick="@{handler}"
            android:text="@string/check_preference" />
    </LinearLayout>
</layout>